Package com.ericsson.otp.erlang

## Interface OtpTransport

- All Known Implementing Classes:
    `OtpSocketTransport`

      public interface OtpTransport

  Client-side connection-oriented transport interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `java.io.InputStream` | `getInputStream()` |
    `java.io.OutputStream` | `getOutputStream()` |

- - ### Method Detail

    - #### getInputStream

          java.io.InputStream getInputStream()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `Socket.getInputStream()`

    - #### getOutputStream

          java.io.OutputStream getOutputStream()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `Socket.getOutputStream()`

    - #### close

          void close()
              throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `Socket.close()`